// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdEIdProductPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdEIdProductPlugin", targets: ["WebIdEIdProductPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdOnDeviceDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-on-device-document-scanner-spm",
            .exact("13.0.0")
        ),
        .package(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-ident-scan-plugin-spm",
            .exact("13.0.0")
        ),
        .package(
            name: "WebIdEIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-eident-plugin-spm",
            .exact("6.0.0")
        ),
        .package(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-digital-signing-plugin-spm",
            .exact("12.0.0")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdEIdProductPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4/de/webid-solutions/WebIdEIdProductPlugin/14.0.0/WebIdEIdProductPlugin.framework-v14.0.0.zip",
            checksum: "909abc8dae04bb263b18f1383b5b95faf6f50acd664ea234c00d4d5829175051"
        ),
        .target(
            name: "WebIdEIdProductPluginWrapper",
            dependencies: [
                .target(name: "WebIdEIdProductPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdOnDeviceDocumentScanner", package: "WebIdOnDeviceDocumentScanner"),
                .product(name: "WebIdIosIdentScanPlugin", package: "WebIdIosIdentScanPlugin"),
                .product(name: "WebIdEIdentPlugin", package: "WebIdEIdentPlugin"),
                .product(name: "WebIdDigitalSigningPlugin", package: "WebIdDigitalSigningPlugin"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
